%global _empty_manifest_terminate_build 0
Name:           perl-Cpanel-JSON-XS
Version:        4.38
Release:        1
Summary:        CPanel fork of JSON::XS, fast and correct serializing
License:        GPL-1.0-or-later or Artistic-1.0-Perl
Group:          Development/Libraries
URL:            https://metacpan.org/release/Cpanel-JSON-XS/
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Cpanel-JSON-XS-%{version}.tar.gz
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::Peek)
BuildRequires:  perl(Encode) >= 1.9801
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Math::BigFloat) >= 1.16
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Pod::Text) >= 2.08
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
Requires:       perl(Carp)
Requires:       perl(Encode) >= 1.9801
Requires:       perl(Exporter)
Requires:       perl(Math::BigFloat) >= 1.16
Requires:       perl(Math::BigInt)
Requires:       perl(Pod::Text) >= 2.08
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be correct and its secondary goal is to be fast. To
reach the latter goal it was written in C.

%package help
Summary : CPanel fork of JSON::XS, fast and correct serializing
Provides: perl-Cpanel-JSON-XS-doc

%description help
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be correct and its secondary goal is to be fast. To
reach the latter goal it was written in C.


%prep
%setup -q -n Cpanel-JSON-XS-%{version}


%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes COPYING META.json README
#%%{perl_vendorarch}/auto/*
#%%{perl_vendorarch}/Cpanel*

%files help
%{_mandir}/*

%changelog
* Thu May 30 2024 xiejing <xiejing@kylinos.cn> - 4.38-1
- Update to 4.38
  - Encode real core booleans as boolean notation
  - Minor test fixes by leonerd
  - Fix docs typo

* Wed Jul 12 2023 leeffo <liweiganga@uniontech.com> - 4.37-1
- upgrade to version 4.37

* Mon Mar 08 2021 Perl_Bot <Perl_Bot@openeuler.org> 4.25-1
- Specfile autogenerated by Perl_Bot
